# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_f32_vneg_ukernel__neon_x4
- name: xnn_f32_vneg_ukernel__neon_x8
# x86 SSE
- name: xnn_f32_vneg_ukernel__sse_x4
  init: xnn_init_f32_neg_sse_params
- name: xnn_f32_vneg_ukernel__sse_x8
  init: xnn_init_f32_neg_sse_params
# x86 AVX
- name: xnn_f32_vneg_ukernel__avx_x8
  init: xnn_init_f32_neg_avx_params
- name: xnn_f32_vneg_ukernel__avx_x16
  init: xnn_init_f32_neg_avx_params
# x86 AVX512
- name: xnn_f32_vneg_ukernel__avx512f_x16
  init: xnn_init_f32_neg_avx512_params
- name: xnn_f32_vneg_ukernel__avx512f_x32
  init: xnn_init_f32_neg_avx512_params
# WAsm SIMD
- name: xnn_f32_vneg_ukernel__wasmsimd_x4
  init: xnn_init_f32_neg_wasmsimd_params
- name: xnn_f32_vneg_ukernel__wasmsimd_x8
  init: xnn_init_f32_neg_wasmsimd_params
# Scalar
- name: xnn_f32_vneg_ukernel__scalar_x1
- name: xnn_f32_vneg_ukernel__scalar_x2
- name: xnn_f32_vneg_ukernel__scalar_x4
